cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
We love to hear how every person gets the most from Dropbox, and it seems everyone has a slightly different use for it - tell us yours here!

Dropbox installs & integrations

Connect your tools and content together with help from the Dropbox Community. Join a discussion or post a question of your own to get started.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

I'm getting an error when starting up my desktop app. Can you help?

I'm getting an error when starting up my desktop app. Can you help?

lerack
New member | Level 2

bn.BUILD_KEY: Dropbox
bn.VERSION: 131.4.3968
bn.constants.WINDOWS_SHELL_EXT_VERSION: 48
bn.is_frozen: True
machine_id: 6efa4883-67f8-4f0b-a5b7-e82780d5d4e9
pid: 17216
cwd: 'C:\\Program Files (x86)\\Dropbox\\Client'
real_path='C:\\Program Files (x86)\\Dropbox\\Client'
mode=0o40777 uid=0 gid=0
parent mode=0o40777 uid=0 gid=0
HOME: None
appdata: 'C:\\Users\\Ruben\\AppData\\Local\\Dropbox\\instance1'
real_path='C:\\Users\\Ruben\\AppData\\Local\\Dropbox\\instance1'
mode=0o40777 uid=0 gid=0
parent mode=0o40777 uid=0 gid=0
dropbox_path: 'C:\\Users\\Ruben\\Dropbox'
real_path='C:\\Users\\Ruben\\Dropbox'
mode=0o40555 uid=0 gid=0
parent mode=0o40777 uid=0 gid=0
sys_executable: 'C:\\Program Files (x86)\\Dropbox\\Client\\Dropbox.exe'
real_path='C:\\Program Files (x86)\\Dropbox\\Client\\Dropbox.exe'
mode=0o100777 uid=0 gid=0
parent mode=0o40777 uid=0 gid=0
trace.__file__: 'C:\\Program Files (x86)\\Dropbox\\Client\\131.4.3968\\python-packages.zip\\dropbox\\client\\ui\\common\\boot_error.pyc'
real_path='C:\\Program Files (x86)\\Dropbox\\Client\\131.4.3968\\python-packages.zip\\dropbox\\client\\ui\\common\\boot_error.pyc'
not found
parent not found
TMP: C:\Users\Ruben\AppData\Local\Temp
TEMP: C:\Users\Ruben\AppData\Local\Temp
tempdir: 'C:\\Users\\Ruben\\AppData\\Local\\Temp'
real_path='C:\\Users\\Ruben\\AppData\\Local\\Temp'
mode=0o40777 uid=0 gid=0
parent mode=0o40777 uid=0 gid=0
Traceback (most recent call last):
File "dropbox\sqlite3_helpers.pyc", line 296, in execute
sqlite3.OperationalError: disk I/O error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox\client\databases.pyc", line 327, in load_dropbox_config
File "dropbox\client\configuration\context_aware_config_dict.pyc", line 20, in __init__
File "dropbox\client\config.pyc", line 187, in __init__
File "dropbox\client\config.pyc", line 66, in create_tables
File "dropbox\sqlite3_helpers.pyc", line 301, in execute
File "dropbox\sqlite3_helpers.pyc", line 267, in _raise_better_operational_exception
File "six.pyc", line 695, in reraise
File "dropbox\sqlite3_helpers.pyc", line 296, in execute
dropbox.sqlite3_exceptions.DiskIOError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox\sqlite3_helpers.pyc", line 296, in execute
sqlite3.OperationalError: disk I/O error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox\client\main.pyc", line 7731, in main_startup
File "dropbox\client\main.pyc", line 2913, in initialize
File "dropbox\client\configuration\local_configuration.pyc", line 182, in load_config
File "dropbox\client\databases.pyc", line 350, in load_dropbox_config
File "dropbox\client\configuration\context_aware_config_dict.pyc", line 20, in __init__
File "dropbox\client\config.pyc", line 187, in __init__
File "dropbox\client\config.pyc", line 66, in create_tables
File "dropbox\sqlite3_helpers.pyc", line 301, in execute
File "dropbox\sqlite3_helpers.pyc", line 267, in _raise_better_operational_exception
File "six.pyc", line 695, in reraise
File "dropbox\sqlite3_helpers.pyc", line 296, in execute
dropbox.sqlite3_exceptions.DiskIOError

1 Reply 1

Re: I'm getting an error when starting up my desktop app. Can you help?

Walter
Dropboxer
Hey @lerack, thanks for posting on our Community!

The desktop app installed on your Windows computer seems to be reporting an Operational disk I/O error which means that Dropbox can't read from your hard drive. It is usually indicative of an underlying hardware issue.

In such cases, it's recommended that you have your hard drive backed up and checked by a professional. You can learn how to check your hard disk for errors here, if needed.

I hope this helps!

Walter
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
:arrows_counterclockwise: Still stuck? Ask me a question!
:pushpin: Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Who's talking

Top contributors to this post

  • User avatar
    Walter Dropboxer
What do Dropbox user levels mean?
Need more support?